* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --lavande: #C3A3D3;
    --bleu_ciel: #859CCE;
    --violet: #22142E;
    --blanc: #FFFFFF;
}

@font-face {
    font-family: "Lemon";
    src: url("../asset/font/Lemon-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "Ubuntu";
    src: url("../asset/font/Ubuntu-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "Unna";
    src: url("../asset/font/Unna-Regular.ttf") format("truetype");
}

/*HEADER*/

.header {
    overflow: hidden;
    background-color: var(--violet);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 85px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    box-shadow: 0px 4px 15px 0px rgba(0, 0, 0, 0.25);
    z-index: 1;
}

.header-right {
    margin-right: 20px;
    float: right;
}

.header a {
    color: var(--lavande);
    text-align: center;
    text-decoration: none;
    font-size: 20px;
    font-family: 'Ubuntu';
    padding: 12px 60px;
}

.header a.logo {
    margin-right: 20px;
    width: 60px;
    height: 60px;
    background: url('../asset/img/butterfly.png') no-repeat;
    background-size: contain;
    border-radius: 50%;
    padding: 0;
}

.header a:hover {
    background-color: transparent;
    color: var(--bleu_ciel);
    text-decoration-line: underline;
}

.header a.active {
    background-color: transparent;
    color: var(--bleu_ciel);
    text-decoration-line: underline;
}

.header-right {
    float: right;
}


@media screen and (max-width: 850px) {
    .header {
        flex-direction: column;
        align-items: center;
        height: auto;
    }

    .header a {
        display: block;
        padding: 10px 0;
        text-align: center;
    }

    .header-right {
        float: none;
    }
}



@media screen and (min-width: 600px) and (max-width: 850px) {
    .table {
        display: flex;
        flex-wrap: wrap;
        width: 90%;
        padding: 10%;
        margin: 0 auto;
    }

    .row {
        display: flex;
        flex-direction: column;
        width: 100%;
        padding: 20px;
        border-bottom: 1px solid rgba(255, 255, 255, 0.80);
    }

    .row:last-child {
        border-bottom: none !important;
    }

    .cell:last-child {
        border-bottom: none !important;
    }

    .cell {
        flex: 1;
        border-right: none !important;
        border-bottom: 1px solid rgba(255, 255, 255, 0.80);
        padding: 10px;
        text-align: center;
    }


    .intro h1 {
        font-size: 20px;
    }

    p {
        font-size: 12px;
    }
}

@media screen and (max-width: 600px) {

    .table {
        display: flex;
        flex-wrap: wrap;
        width: 90%;
        padding: 10%;
        margin: 0 auto;
    }

    .row {
        display: flex;
        flex-direction: column;
        width: 100%;
        padding: 20px;
        border-bottom: 1px solid rgba(255, 255, 255, 0.80);
    }

    .row:last-child {
        border-bottom: none !important;
    }

    .cell:last-child {
        border-bottom: none !important;
    }

    .cell {
        flex: 1;
        border-right: none !important;
        border-bottom: 1px solid rgba(255, 255, 255, 0.80);
        padding: 10px;
        text-align: center;
    }
    
    .intro h1 {
        font-size: 20px;
    }

    p {
        font-size: 12px;
    }
}


/*BODY*/

body {
    background-color: var(--violet);
    position: relative;
}

/* INTRODUCTION */

.intro {
    width: 100%;
    max-width: 100%;
    height: 250px;
    margin-top: 85px;
    background-image: url('../asset/img/intro.png');
    background-size: cover;
    background-position: center;
}

.intro::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 250px;
    background: inherit;
    filter: blur(5px);
}

.text-container {
    position: absolute;
    top: 0;
    left: 20px;
    right: 20px;
    color: #fff;
    padding-right: 30%;
    margin: 3%;
}

h1 {
    font-size: 30px;
    margin-bottom: 10px;
    font-family: 'Lemon';
}

p {
    text-align: justify;
    margin: 2%;
    font-family: 'Unna';
    font-weight: bold;
    font-size: 25px;
    color: #ffffff;
}

.speech {
    color: #fff;
    padding-right: 30%;
    margin-top: 6%;
    margin-left: 6%;
    margin-bottom: 4%;
}

/* SKILLS GRID*/

.table {
    max-width: 900px;
    height: auto;
    border-radius: 15px;
    border: 1px solid rgba(255, 255, 255, 0.80);
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.20) 0%, rgba(0, 0, 0, 0.20) 100%), linear-gradient(180deg, #22142E 0%, rgba(22, 13, 30, 0.64) 86.35%, rgba(0, 0, 0, 0.00) 100%);
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.80);
}

.row:last-child {
    border-bottom: none;
}

.cell {
    flex: 1;
    padding: 10px;
    text-align: center;
    border-right: 1px solid rgba(255, 255, 255, 0.15);
}

.cell:last-child {
    border-right: none;
}

h2 {
    font-size: 30px;
    color: #fff;
    margin-bottom: 10px;
    font-family: 'Lemon';
}

.row .cell h3 {
    font-family: "Lemon";
    color: white;
    font-size: 25px;
    margin: 20px;
}

.row .cell .titleSkill {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.row .cell p {
    text-align: justify;
    font-family: 'Unna';
    font-weight: bold;
    font-size: 20px;
    color: #ffffff;
    margin: 35px;
}

.row .cell .logo img {
    display: inline-block;
    margin: 15px;
}

.row .cell ul {
    list-style-type: none;
    color: white;
    font-family: 'Unna';
    font-size: 20px;
    font-weight: bold;
}

.row .cell .logoSkillOne {
    width: 40px;
    height: 40px;
    background: url('../asset/svg/code.svg') no-repeat;
    background-size: contain;
    background-color: white;
    border-radius: 50%;
}

.row .cell .logoSkillTwo {
    width: 45px;
    height: 45px;
    background: url('../asset/svg/benevole.svg') no-repeat;
    background-size: contain;
    background-color: white;
    border-radius: 50%;
}

.row .cell .logoSkillThree {
    width: 45px;
    height: 45px;
    background: url('../asset/svg/diamond.svg') no-repeat;
    background-size: contain;
    background-color: white;
    border-radius: 50%;
    background-size: 80% 80%;
    background-position: center;
}

.row .cell .logoSkillFour {
    width: 45px;
    height: 45px;
    background: url('../asset/svg/computer.svg') no-repeat;
    background-size: contain;
    background-color: white;
    border-radius: 50%;
    background-size: 90% 90%;
    background-position: center;
}

/* BUTTON */

.btn {
    border-radius: 28px;
    text-shadow: 1px 1px 3px #000000;
    font-family: Arial;
    color: #ffffff;
    font-size: 20px;
    background: transparent;
    padding: 10px 20px 10px 20px;
    border: solid #ffffff 2px;
    text-decoration: none;
    margin: 1% 25%;
    display: block;
    width: max-content;
    text-align: center;
}

.btn:hover {
    background: var(--bleu_ciel);
    text-decoration: none;
}

/*FOOTER*/

.footer {
    position: sticky;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 20px 0;
    color: #fff;
    background: #150C1C;
    box-shadow: 0px 4px 100px 0px rgba(0, 0, 0, 0.25);
    text-align: center;
}